Loading...
Searching...
No Matches
casacore::Capitalize Struct Reference

Functor to capitalize a std::string. More...

`#include <Functors.h>`

## Public Member Functions

String | operator() (const std::string &value) const

## Detailed Description

Functor to capitalize a std::string.

The result is a casacore::String.

Definition at line 657 of file Functors.h.

## Member Function Documentation

## operator()()

String casacore::Capitalize::operator() | ( | const std::string & | value | ) | const

inline

Definition at line 659 of file Functors.h.

References casacore::capitalize(), and casacore::NewDelAllocator< T >::value.

The documentation for this struct was generated from the following file:

- casa/BasicMath/Functors.h